Skip to main content

List Hotels Master API

Overview​

Retrieves a paginated list of Hotel Master records with optional search filters.

  • Endpoint: /api/hotels/list
  • Method: GET

Query Parameters​

ParameterTypeRequiredDescription
searchStringNoSearch keyword for name, address, property code
cityIdNumberNoFilter by city ID
stateIdNumberNoFilter by state ID
starRatingEnumNoFilter by star rating (ONE .. FIVE, UNRATED)
activeBooleanNoFilter by active status (true/false)
pageNumberNoPage number (Default: 1)
limitNumberNoResults per page (Default: 10)

Response Example (200 OK)​

{
"success": true,
"message": "Hotels fetched successfully",
"data": {
"hotels": [
{
"id": "7a8b9c1d-2e3f-4a5b-6c7d-8e9f0a1b2c3d",
"name": "Grand Palace Resort & Spa",
"starRating": "FIVE",
"city": { "id": 1, "name": "Goa" },
"state": { "id": 1, "name": "Goa" },
"amenities": "Free Wi-Fi, Swimming Pool",
"amenitiesList": [
{
"id": "m1234567-89ab-cdef-0123-456789abcdef",
"amenityId": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d",
"amenity": { "id": "a1b2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d", "name": "Free Wi-Fi" }
}
],
"rooms": [
{
"id": "11223344-5566-7788-9900-aabbccddeeff",
"roomType": "DELUXE",
"roomName": "Ocean Deluxe Suite",
"basePricePerNight": 4500,
"formattedBasePrice": "₹4,500.00"
}
]
}
]
},
"pagination": {
"totalItems": 1,
"currentPage": 1,
"totalPages": 1,
"pageSize": 10,
"hasNextPage": false,
"hasPreviousPage": false
}
}